GET /v1/articles
The feed of watch articles aggregated by TechWatchAlert (news, advisories, publications). Global data — no project required.
Request
Section titled “Request”GET /api/v1/articlesAuthorization: Bearer twa_your_key_hereQuery Parameters
Section titled “Query Parameters”| Parameter | Type | Description |
|---|---|---|
q |
string |
Search in title and description |
source |
string |
Filter by exact source |
page |
integer |
Page (default 1) |
page_size |
integer |
Page size, max 100 (default 20) |
Response 200 OK
Section titled “Response 200 OK”{ "items": [ { "id": "018e9999-0000-7000-8000-000000000050", "title": "Critical OpenSSH flaw enables remote code execution", "description": "Researchers published the details...", "published_at": "2024-07-01T08:30:00Z", "source": "The Hacker News", "author": "Jane Doe", "url": "https://example.com/article", "image_url": "https://example.com/cover.jpg" } ], "total": 1, "page": 1, "page_size": 20}Fields
Section titled “Fields”| Field | Type | Description |
|---|---|---|
id |
string (UUID) |
Article identifier |
title |
string |
Title |
description |
string | null |
Summary |
published_at |
string (ISO 8601) | null |
Publication date |
source |
string | null |
Source (outlet / publisher) |
author |
string | null |
Author |
url |
string |
Link to the original article |
image_url |
string | null |
Cover image |
Example
Section titled “Example”Latest articles from a source
curl -s \ -H "Authorization: Bearer twa_your_key_here" \ "https://app.techwatchalert.com/api/v1/articles?source=The%20Hacker%20News&page_size=10" \ | jq '.items[] | {title, published_at, url}'